## NAME

r.contour - Produces a GRASS binary vector map of specified contours from GRASS raster map layer.
(GRASS Raster Program)

## SYNOPSIS

r.contour
r.contour help
r.contour [-qn] input=name output=name [levels=value,value,...,value] [minlevel=value] [maxlevel=value] [step=value] [cut=value]

## DESCRIPTION

r.contour produces a contour map of user-specified levels from a raster map layer. This program works two ways:

1. Contours are produced from a user-specified list of levels.
2. Contours are produced at some regular increment from user-specified minimum level to maximum level. If no minimum or maximum level is specified, minimum or maximum data value will be used.

## OPTIONS

r.contour may be run interactively or non-interactively. To run the program non-interactively, the user must specify the input and output file names, either a list of levels or a step value and, optionally, minimum and maximum levels:

  r.contour [-qn] input=name output=name [levels=value,value,...,value] [minlevel=value] [maxlevel=value] [step=value] [cut=value]

To run the program interactively, the user may simply type r.contour at the command line and will be prompted for parameter values.

### Flags:

-q Suppress progress report & min/max information
-n Suppress single crossing error messages

### Parameters:

input=name
  Name of input raster map layer.
output=name
  Name of the binary vector file created.
levels=value,value,...,value
  Comma separated list of desired levels.
minlevel=value
  Beginning (lowest) value to be used when stepping through contours. Default is minimum data value.
maxlevel=value
  Ending (highest) value to be used when stepping through contours. Default is maximum data value.
step=value
  Increment between contour levels.
cut=value
  Minimum number of points for a contour line (0 -> no limit, default: 0)

## NOTES

r.contour will either step through incremental contours or produce contours from a list of levels, not both. If both a list of levels and a step are specified, the list will be produced and the step will be ignored.

Zero is treated as a valid data value by r.contour.

If a contour level exactly matches a category value in the raster file, the contour line may backtrack on itself, causing illegal arcs to be produced in the output GRASS vector file.

The optional cut parameter allows to specify a minimum number of point for a contour line to be put into output vector map, so that small spurs, single points and so on won't be present and the output will be more clear.

## AUTHORS

Terry Baker, U.S. Army Construction Engineering Research Laboratory
3/2001: cut parameter and fixes by Andrea Aime (aaime@libero.it)

Last changed: $Date: 2002/01/25 05:45:34 $